//////////////////////
//画像回転表示用文字列
//////////////////////
const char* g_RotateFlip[4] = {"0度回転表示", "90度回転表示", "180度回転表示", "270度回転表示"};

/////////////////////
//*.albファイル用変数
/////////////////////
CSTR g_FileName;
CSTR g_File;

/////////////////////
//ファイル起動用変数
/////////////////////
bool g_ByFile;

//////////////////
//AlbumHelp用変数
//////////////////
CSTR g_Help;

////////////////////////////////
//AlbumListフォールダーへのパス
////////////////////////////////
CSTR g_Path;

///////////////////////
//イメージ表示メニュー
//TRUE−単一写真表示
//FALSE−サムネイル表示
///////////////////////
bool g_ShowMode = FALSE;

///////////////////
//サムネイルサイズ
///////////////////
int g_ThumbSize = LARGE;

///////////////////////////
//ツールバーのサブクラス化
///////////////////////////
WNDPROC g_TBProc = NULL;

//TOOLBARのメッセージからWM_HSCROLLのみを取得する
LRESULT CALLBACK TOOLBARProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam) {

	int pos;
	switch (uMsg) {
	case WM_HSCROLL:
		if(lParam != (LPARAM)GetDlgItem(hWnd, IDC_SLIDER))
			break;							//スライダーからの通知でなければ何もしない
		switch(LOWORD(wParam)) {			//スライダーコントロールからの通知
		case SB_THUMBTRACK:					//スライダーのドラッグ時は何もしない
			return 0;
		case SB_THUMBPOSITION:				//摘みを離した時に
			pos = HIWORD(wParam);			//スライダーの位置を取得
			break;
		default:							//それ以外の場合、HIWORD(wParam)は使えないので
			pos = g_Slider.GetPosition();	//GetPosition関数で位置を取得する
			break;
		}
		if(g_ShowMode) {
			if(g_Album.GetCount()) {
				//表示イメージの設定
				g_Album.SetCol(255, 255, 255, 255);	//Alph = 255、白色で
				g_Album.Cls();						//画面クリアー
				g_Album.Select(pos);				//スライダー位置の
				g_Album.ShowImg(FALSE, FALSE);		//写真を画面中央サイズ調整表示
			}
		}
		return 0;
	default:
		break;
	}
	return CallWindowProc(g_TBProc, hWnd, uMsg, wParam, lParam);
}
